设备所在建筑
## 前置条件
设备已经绑定楼层
```
FROM equipment WHERE project_id='Pj1101010015' AND floor_id is not null
```
## 处理方式

从绑定的楼层里取建筑ID，
将建筑ID填入设备ID（建筑ID为空，则设备的建筑ID也为空）。

## 实现方式
SQL
```
UPDATE equipment SET building_id = (SELECT build_id FROM "floor" WHERE id = equipment.floor_id) WHERE project_id='Pj1101010015' AND floor_id is not null
```
